package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 列信息标准值信息
 * @author： zhanghang
 * @time: 2022/3/11 13:31
 */
@ApiModel(value = "列信息标准值信息")
@Getter
@Setter
public class GetStandardvalueInfoDTO implements Serializable {
    private static final long serialVersionUID = -374537826999751004L;

    @ApiModelProperty(value = "表的列信息ID")
    private Long columnId;

    @ApiModelProperty(value = "标准值")
    private String standardvalue;

    @ApiModelProperty(value = "修改时间")
    private Date gmtModified;
}
