package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @author： zhanghang
 * @time: 2022/3/7 10:13
 */

@ApiModel(value = "表字段名称表名称信息")
@Getter
@Setter
public class GetTableColumnInfoDTO implements Serializable {


    private static final long serialVersionUID = 2455122692146578248L;

    @ApiModelProperty(value = "表id")
    private Long tableId;

    @ApiModelProperty(value = "编号Id")
    private String numberId;

    @ApiModelProperty(value = "组织ID")
    private Long hospitalId;

    @ApiModelProperty(value = "住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "入院日期")
    private Date behospitalDate;

    @ApiModelProperty(value = "值")
    private String val;

    @ApiModelProperty(value = "模块ID")
    private Long modeId;

    @ApiModelProperty(value = "模块名称")
    private String modeName;

    @ApiModelProperty(value = "文书编号")
    private String recId;

    @ApiModelProperty(value = "文书标题")
    private String recTitle;


}
