package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 查询获取数据库表中列数据表名称信息-接口出参
 * @author： zhanghang
 * @time: 2022/3/1 10:30
 */
@ApiModel(value = "查询下拉框获取数据库表中列数据表名称信息-接口出参")
@Getter
@Setter
public class GetTableNameDTO implements Serializable {


    private static final long serialVersionUID = 2937673156548623988L;

    @ApiModelProperty(value = "表名称（中文）")
    private String tableCname;

    @ApiModelProperty(value = "表名称（英文）")
    private String tableEname;


}
