package com.lantone.daqe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.daqe.dto.GetColumnDTO;
import com.lantone.daqe.dto.GetColumnVerifyDTO;
import com.lantone.daqe.dto.GetColumnVerifyPageDTO;
import com.lantone.daqe.entity.ColumnVerify;
import com.lantone.daqe.vo.AddColumnVO;
import com.lantone.daqe.vo.GetByIdColumnVerifyVO;
import com.lantone.daqe.vo.GetColumnVerifyPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：dc_column_verify Mapper接口
 * </p>
 */
public interface ColumnVerifyMapper extends BaseMapper<ColumnVerify> {
    IPage<GetColumnVerifyPageDTO> getColumnVerifyPage(@Param("getColumnVerifyPageVO") GetColumnVerifyPageVO getColumnVerifyPageVO);

    List<GetColumnVerifyDTO> getByIdColumnVerify(@Param("getByIdColumnVerifyVO") GetByIdColumnVerifyVO getByIdColumnVerifyVO);

    List<GetColumnDTO> getColumn(@Param("addColumnVO") AddColumnVO addColumnVO);

}