package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description:
 * @author： zhanghang
 * @time: 2022/3/7 10:13
 */

@ApiModel(value = "表字段名称表名称信息")
@Getter
@Setter
public class ColumnInfoVO implements Serializable {
    private static final long serialVersionUID = -4822420650132733065L;

    @ApiModelProperty(value = "主键",required = true)
    private Long id;

    @ApiModelProperty(value = "表名称(中文)", required = true)
    private String tableCname;

    @ApiModelProperty(value = "表名称(英文)", required = true)
    private String tableEname;

    @ApiModelProperty(value = "字段名称(中文)", required = true)
    private String columnCname;

    @ApiModelProperty(value = "字段名称(英文)", required = true)
    private String columnEname;
}
