package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 通过id删除正则式-接口入参
 * @author: songxl
 * @time: 2021/2/28 11:15
 */
@ApiModel(value = "通过id删除正则式-接口入参")
@Getter
@Setter
public class DelRegularByIdVO implements Serializable {

    private static final long serialVersionUID = -1295862612895001269L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "主键", required = true)
    @NotEmpty(message = "主键不能为空")
    private List<Long> ids;


}