package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 根据ID查看字段校验问题明细-接口入参
 * @author: zhanghang
 * @time: 2022/3/9 11:15
 */
@ApiModel(value = "根据ID查看字段校验问题明细-接口入参")
@Getter
@Setter
public class GetByIdColumnResultVO implements Serializable {


    private static final long serialVersionUID = 9163756356308300151L;
    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull(message = "主键ID不能为空")
    private Long id;


}