package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 根据ID获取字段校验规则明细数据-接口入参
 * @author： zhanghang
 * @time: 2022/3/10 10:30
 */
@ApiModel(value = "根据ID获取字段校验规则明细数据-接口入参")
@Getter
@Setter
public class GetByIdColumnVerifyVO implements Serializable {

    private static final long serialVersionUID = -1975195805997230670L;
    @ApiModelProperty(value = "列信息ID", required = true)
    @NotNull(message = "列信息ID不能为空")
    private Long columnId;

}
