package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取手术匹配信息分页列表-接口入参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "获取手术匹配信息分页列表-接口入参")
@Getter
@Setter
public class GetMatchingOperationVO extends Page implements Serializable {

    private static final long serialVersionUID = 3504974578827568208L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院手术/操作名称ID")
    private Long id;

    @ApiModelProperty(value = "医院手术/操作名称")
    private String name;


}