package com.lantone.service.med;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lantone.dto.med.IndexBatchDTO;
import com.lantone.dto.med.KllisDetailDTO;
import com.lantone.entity.med.KlConcept;
import com.lantone.vo.med.IndexByApprovalVO;
import com.lantone.vo.med.KllisDetailVO;

import java.util.List;

/**
 * <p>
 * 概念表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlConceptService extends IService<KlConcept> {

    List<IndexBatchDTO> indexByApproval(IndexByApprovalVO indexByApprovalVO);

    List<KllisDetailDTO> getLisDetaisByNames(KllisDetailVO kllisDetailVO);

}