package com.lantone.util;

import com.lantone.common.constant.AuthConstant;
import com.lantone.common.service.RedisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description: 用户工具类
 * @author: gaodm
 * @time: 2018/8/3 17:46
 */
@Component
public class SysUserUtils {

    @Autowired
    private RedisService redisService;

    /**
     * 获取当前请求的用户ID
     *
     * @return
     */
    public static String getCurrentPrincipleID() {
        return "110";
    }

    /**
     * 获取当前请求用户的医院ID
     *
     * @return
     */
    public String getCurrentHospitalID() {
        Map<String, Map<String, Map<String, String>>> dicMap = redisService.get(AuthConstant.DIC_MAP_KEY);
        return dicMap.get("0").get("53").get(com.lantone.common.util.SysUserUtils.getCurrentHospitalIdStr());
    }

}