package com.lantone.report.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


import java.math.BigDecimal;

/**
 * 通过
 *
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class ApprovedVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医院id", hidden = true)
    private Long hospitalId;

    @ApiModelProperty(value = "申诉id", required = true)
    private Long id;

    @ApiModelProperty(value = "工作流节点", hidden = true)
    private Long workFlowNodeId;

    @ApiModelProperty(value = "审核人id", hidden = true)
    private Long appealId;

    @ApiModelProperty(value = "病人住院序号", required = true)
    private String behospitalCode;

    @ApiModelProperty(value = "处理方式", required = true)
    private String exampleOperation;

    @ApiModelProperty(value = "处理结果", required = true)
    private String processResult;

    @ApiModelProperty(value = "申诉模块", required = true)
    private Long casesId;

    @ApiModelProperty(value = "质控缺陷ID")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控条目")
    private String casesEntryName;

    @ApiModelProperty(value = "提示信息")
    private String casesEntryMsg;

    @ApiModelProperty(value = "分值")
    private BigDecimal value;

    @ApiModelProperty(value = "备注")
    private String remark;

}
