package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description:数据权限选择的医院详情
 * @Author songxl
 * @Date 2021/8/20
 */
@Data
public class GetDataAuthHospitalDTO {

    @ApiModelProperty(value = "医院id")
    private Long id;
    @ApiModelProperty(value = "医院名称")
    private String name;
    @ApiModelProperty(value = "选择数据权限的类型 1:为医院  2：科室 3：为医生")
    private Integer detailType;
}
