package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 用户列表页对象
 * </p>
 */
@Data
public class GetUserPageDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号")
    private Long userId;
    @ApiModelProperty(value = "编号")
    private Long hospitalId;
    @ApiModelProperty(value = "用户名")
    private String username;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "组织名称")
    private String hospitalName;
    @ApiModelProperty(value = "工号")
    private Integer jobNo;
    @ApiModelProperty(value = "状态")
    private String status;
    @ApiModelProperty(value = "状态名称")
    private String statusName;

}
