package com.lantone.security.dto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


/**
 * <p>
 * 病区表
 * </p>
 */
@Data
public class ViewRegionDTO implements Serializable {


    @ApiModelProperty(value = "医院名称")
    private String hospitalName;

    @ApiModelProperty(value = "病区名称")
    private String name;

    @ApiModelProperty(value = "病区id")
    private Long id;

    @ApiModelProperty(value = "启用状态 0-否 1-是")
    private String status;

    @ApiModelProperty(value = "联系人")
    private String liaison;

    @ApiModelProperty(value = "手机号码")
    private String phoneNumber;

    @ApiModelProperty(value = "病区编码")
    private String code;

    @ApiModelProperty(value = "排序")
    private String orderNo;

    @ApiModelProperty(value = "区域类别")
    private String station;

    @ApiModelProperty(value = "创建时间")
    private Date gmtCreate;

}
