package com.lantone.security.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lantone.common.vo.base.BasePageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 医生表
 * </p>
 */
@Data
public class GetDoctorPageVO extends BasePageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医生姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobilePhone;

    @ApiModelProperty(value = "科室id集合")
    private List<Long> depts;

    @ApiModelProperty(value = "医院id集合")
    private List<Long> hospitals;
    @ApiModelProperty(value = "已关联，未关联")
    private String relation;
}
