package com.lantone.security.vo;

import com.lantone.common.vo.base.BasePageVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 用户实体类
 * </p>
 */
@Data
public class GetUserPageVO extends BasePageVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户名")
    private String username;


    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "医院id",hidden = true)
    private Long hospitalId;


    @ApiModelProperty(value = "状态 0:禁用，1：启用")
    private String status;

    @ApiModelProperty(value = "当前登录用户")
    private Long localUserID;
}