package com.lantone.common.dto;
import lombok.Data;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/5 16:56
 */

@Data
public class OperationLogDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 操作人用户ID
     */
    private Long operationId;

    /**
     * 操作人用户名
     */
    private String operationName;

    /**
     * 操作日期
     */
    private Date operationDate;

    /**
     * 操作记录
     */
    private String operationRecord;

    /**
     * ip地址
     */
    private String operationIp;

    /**
     * 操作地址
     */
    private String operationAddress;

    /**
     * 操作方法
     */
    private String operationMethod;

    /**
     * 操作请求方式
     */
    private String operationWay;

    /**
     * 操作url
     */
    private String operationUrl;

    /**
     * 操作参数
     */
    private String operationParam;

    /**
     * 返回参数
     */
    private String jsonResult;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录
     */
    private String remark;
}
