package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取表字段信息
 * @author： zhanghang
 * @time: 2022/3/22 13:24
 */
@ApiModel(value = "获取表字段信息")
@Getter
@Setter
public class GetColumnDTO implements Serializable {

    private static final long serialVersionUID = -2189348212915891832L;
    @ApiModelProperty(value = "字段名称（中文）")
    private String columnName;

    @ApiModelProperty(value = "字段注释")
    private String columnComment;

}
