package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 匹配诊断信息列表-接口出参
 * @Author songxl
 * @Date 2022/3/3
 */
@ApiModel(value = "获取药品匹配分页列表-接口出参")
@Getter
@Setter
public class GetMatchingDrugPageDTO implements Serializable {

    private static final long serialVersionUID = -1730618949257985054L;


    @ApiModelProperty(value = "药品剂型")
    private String dosageForm;

    @ApiModelProperty(value = "标准诊断名称")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

    @ApiModelProperty(value = "是否匹配，1-已匹配，0-未匹配")
    private String isMapping;
}
