package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取手术分页列表-接口出参
 * @author: songxl
 * @time: 2022/2/28 11:15
 */
@ApiModel(value = "获取手术分页列表-接口出参")
@Getter
@Setter
public class GetOperationByIdDTO implements Serializable {

    private static final long serialVersionUID = -4850779079703241414L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院手术名称")
    private String name;

    @ApiModelProperty(value = "手术代码")
    private String code;

    @ApiModelProperty(value = "标准手术名称")
    private String standard;

    @ApiModelProperty(value = "同义词")
    private String synonym;

    @ApiModelProperty(value = "已/未匹配")
    private String isMapping;

}