package com.lantone.daqe.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 通过id修改病历数据块丢失明细-接口出参
 * @author: songxl
 * @time: 2022/3/4 10:39
 */
@ApiModel(value = "通过id修改病历数据块丢失明细-接口出参")
@Getter
@Setter
public class UpBlockLossByIdVO implements Serializable {

    private static final long serialVersionUID = 2135752709548682595L;

    @ApiModelProperty(value = "编号", required = true)
    @NotNull(message = "编号不能为空")
    private Long id;

    @ApiModelProperty(value = "丢失原因")
    private String lossCause;

    @ApiModelProperty(value = "核查结果 0:未通过，1:已通过，2:未核查")
    private String isAudited;

}