package com.lantone.daqe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.daqe.dto.GetDiseasePageDTO;
import com.lantone.daqe.dto.GetMatchingDiseasePageDTO;
import com.lantone.daqe.entity.DiseaseInfo;
import com.lantone.daqe.vo.GetMatchingDiseasePageVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：hos_disease_info Mapper接口
 * </p>
 */
public interface DiseaseInfoMapper extends BaseMapper<DiseaseInfo> {

    IPage<GetMatchingDiseasePageDTO> getMatchingDiseasePage(@Param("getMatchingDiseasePageVO") GetMatchingDiseasePageVO getMatchingDiseasePageVO);
}