package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 获取诊断分页列表-接口入参
 * @author: rengb
 * @time: 2022/2/27 11:15
 */
@ApiModel(value = "获取诊断分页列表-接口入参")
@Getter
@Setter
public class GetDiseasePageVO extends Page {

    private static final long serialVersionUID = 4521884666557513363L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断代码")
    private String code;

    @ApiModelProperty(value = "医院诊断名称")
    private String name;

    @ApiModelProperty(value = "ICD-10编码")
    private String icd10;

    @ApiModelProperty(value = "标准诊断名称")
    private String standard;

    @ApiModelProperty(value = "是否匹配，1-已匹配，0-未匹配")
    private String isMapping;

}