package com.lantone.daqe.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 获取诊断分页列表-接口入参
 * @author: songxl
 * @time: 2022/2/27 11:15
 */
@ApiModel(value = "获取诊断分页列表-接口入参")
@Getter
@Setter
public class GetMatchingDiseasePageVO extends Page implements Serializable {

    private static final long serialVersionUID = 7343651372186522146L;

    @ApiModelProperty(value = "组织机构ID")
    private Long hospitalId;

    @ApiModelProperty(value = "医院诊断ID")
    private Long id;

    @ApiModelProperty(value = "医院诊断名称")
    private String name;

//    @ApiModelProperty(value = "是否匹配，1-已匹配，0-未匹配")
//    private String isMapping;

}