package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 获取文书模块信息-接口入参
 * @author: zhanghang
 * @time: 2022/2/28 17:47
 */
@ApiModel(value = "获取文书模块信息-接口入参")
@Getter
@Setter
public class GetRecordTemplateByIdVO implements Serializable {

    private static final long serialVersionUID = 1063331959327198657L;

    @ApiModelProperty(value = "模板ID", required = true)
    @NotNull(message = "模板ID不能为空")
    private Long id;

}