package com.lantone.daqe.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 根据类型获取表字段信息
 * @author： zhanghang
 * @time: 2022/3/23 10:45
 */
@ApiModel(value = "根据类型获取表字段信息")
@Getter
@Setter
public class GetTableColumnNameVO implements Serializable {
    private static final long serialVersionUID = -3298890194696044902L;

    @ApiModelProperty(value = "表名称(中文)")
    private String tableCname;

    @ApiModelProperty(value = "表名称(英文)")
    private String tableEname;

    @ApiModelProperty(value = "字段名称(中文)")
    private String columnCname;

    @ApiModelProperty(value = "字段名称(英文)")
    private String columnEname;


}
