package com.lantone.entity.cdss.wrapper;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.lantone.entity.cdss.NurseConfig;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2021/9/22 15:12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class NurseConfigWrapper extends NurseConfig {
    /**
     * 医院诊断名称
     */
    @Excel(name = "标准术语状态", width = 40, replace = { "禁用_0", "启用_1", "_null" }, orderNum = "99")
    private Integer status;
}
