package com.lantone.vo.med;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-06-10 19:54
 */
@Setter
@Getter
public class TermMatchingVO {
    /**
     * 类型：100-疾病、101-药品通用名、102-药品剂型、106-手术和操作
     */
    @NotNull(message = "请输入检索类型")
    private Integer type;
    /**
     * 检索内容
     */
    @NotBlank(message = "请输入检索内容")
    private String inputStr;
}
