package com.lantone.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class CancelAppealInfoVO {
    @ApiModelProperty(value = "申诉id", required = true)
    private Long id;
    @ApiModelProperty(value = "申述人工号", hidden = true)
    private String claimantId;
    @ApiModelProperty(value = "当前工作流节点id 1:申诉|2:撤回|3:审核", hidden = true)
    @NotNull(message = "当前工作流节点id不能为空")
    private Long workFlowNodeId;
}
