package com.lantone.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class GetAppealInfoVO {
    @ApiModelProperty(value = "申诉id", required = true)
    @NotNull(message = "申诉id不能为空")
    private Long id;

    @ApiModelProperty(value = "医院ID")
    private Long hospitalId;

    @ApiModelProperty(value = "病人住院ID")
    private String behospitalCode;

    @ApiModelProperty(value = "条目ID")
    private Long casesEntryId;

    @ApiModelProperty(value = "质控缺陷id")
    private Long qcresultDetailId;

    @ApiModelProperty(value = "解释说明", hidden = true)
    private String appealExplain;

    @ApiModelProperty(value = "排除的工作节点", hidden = true)
    //排除撤回的申诉记录
    private String concelWorkFlowNode = "2";

    @ApiModelProperty(value = "模块id", hidden = true)
    private Long modeId;

    //    @ApiModelProperty(value = "类型 1：申诉查看|2：审核查看")
    //    private String type = "1";
}
