package com.lantone.report.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author songxl
 * @Date 2022/1/6
 */
@Data
public class GetApprovedViewVO {
    @ApiModelProperty(value = "申诉id", required = true)
    @NotNull(message = "申诉id不能为空")
    private Long id;

    @ApiModelProperty(value = "类型 1：申诉查看|2：审核查看")
    private String type = "2";
}
