package com.lantone.security.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: 角色输出对象
 * @Author songxl
 * @Date 2021/7/22
 */
@Data
public class GetDataAuthRoleDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "角色编号")
    private Long id;

    @ApiModelProperty(value = "角色名称")
    private String name;
}
