package com.lantone.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lantone.security.dto.GetMyNoticeListDTO;
import com.lantone.security.vo.GetMyNoticeListVO;
import com.lantone.security.entity.NoticeUser;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 表名：sys_notice_user Mapper接口
 * </p>
 */
public interface NoticeUserMapper extends BaseMapper<NoticeUser> {

    IPage<GetMyNoticeListDTO> listPage(@Param("getMyNoticeListVO") GetMyNoticeListVO getMyNoticeListVO);
}