package com.lantone.security.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @Description: 新增医疗组信息-接口入参
 * @author： zhanghang
 * @time: 2022/3/17 13:26
 */
@ApiModel(value = "新增医疗组信息-接口入参")
@Getter
@Setter
public class AddMedoupManageVO implements Serializable {

    private static final long serialVersionUID = 4874891805624327667L;
    @ApiModelProperty(value = "医疗组代码")
    private String code;

    @ApiModelProperty(value = "医疗组名称")
    private String name;

    @ApiModelProperty(value = "上级科室ID")
    private Long deptId;

    @ApiModelProperty(value = "上级科室名称")
    private String deptName;

    @ApiModelProperty(value = "上级病区ID")
    private Long regionId;

    @ApiModelProperty(value = "上级病区名称")
    private String regionName;
}
