package com.lantone.security.vo;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;


@Data
public class GetHospitalSetVO extends Page implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 组织机构ID
     */
    @ApiModelProperty(value = "医院id")
    private Long hospitalId;

    /**
     * 组织机构ID
     */
    @ApiModelProperty(value = "医院名称")
    private String hospitalName;

    /**
     * 参数配置代码
     */
    @ApiModelProperty(value = "参数名")
    private String code;

    /**
     * 参数配置名称
     */
    @ApiModelProperty(value = "参数说明")
    private String name;

}