package com.lantone.security.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


/**
 * @Description:
 * @Author: cy
 * @time: 2021/9/6 15:24
 */
@Data
public class GetOperationLogVO extends Page {
    /**
     * 操作用户
     */
    @ApiModelProperty(value = "操作用户")
    String operationName;
    /**
     * 操作开始时间
     */
    @ApiModelProperty(value = "操作开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    String startDate;

    /**
     * 操作结束时间
     */
    @ApiModelProperty(value = "操作结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd  HH:mm:ss")
    String endDate;
}
